import React from "react";

const SelectInput = ({
  label,
  name,
  inputContainerClassName,
  className,
  onChange,
  children,
  errorMessage,
}) => {
  return (
    <div
      className={
        inputContainerClassName
          ? inputContainerClassName
          : "w-full flex flex-col justify-center items-center"
      }
    >
      <label className="text-center text-gray-200 font-textImpact">{label}</label>
      <select
        name={name}
        className={
          className
            ? className
            : "w-11/12 bg-white rounded-full p-3 placeholder:text-black placeholder:font-title placeholder:font-semibold drop-shadow-md"
        }
        onChange={onChange}
      >
        {children}
      </select>

      <span className="text-base font-title text-textColor my-2">
        {errorMessage}
      </span>
    </div>
  );
};

export const Option = ({ value, option }) => {
  return <option value={value}>{option}</option>;
};

export default SelectInput;
