import React from 'react'
import { IoCloseCircleSharp } from "react-icons/io5";

const Modal = ({
    isOpen,
    children,
    closed,
    className,
    containerClassName,
    showCloseButton
}) => {
    let modalContent = null;
    if (isOpen) {
      modalContent = (
        <div
          className={`${
            containerClassName ? containerClassName : "z-40 bg-black bg-opacity-50 w-full h-screen fixed top-0 left-0 right-0 bottom-0 flex flex-col overflow-hidden items-start self-stretch"
          }`}
        >
          <div className={className ? className : "h-full bg-background rounded-lg border-2 border-btnOutline px-0 py-2 m-auto opacity-100 overflow-y-auto"}>
            <div className="flex flex-col items-center justify-center text-2xl p-1">
              {showCloseButton && (
                  <IoCloseCircleSharp className='text-black text-3xl cursor-pointer' onClick={closed}/>
              )}
            </div>
            {children}
          </div>
        </div>
      );
    }
    return modalContent;
}

export default Modal