import React, { useEffect } from "react";
import { useRouter, useSearchParams } from "next/navigation";
import Pagination from "react-js-pagination";
import ReactPaginate from 'react-paginate';

const CustomPagination = ({ resPerPage, modelCount }) => {
    //use router
  const router = useRouter();
  //search params
  const searchParams = useSearchParams();
  //page
  let page = searchParams.get("page") || 1;
  //page count
  page = Number(page);
  //query params
  let queryParams;

  console.log("[page]", queryParams);

  const handlePageChange = (currentPage) => {
    if (typeof window !== "undefined") {
      queryParams = new URLSearchParams(window.location.search);
      if (queryParams.has("page")) {
        queryParams.set("page", currentPage);
      } else {
        queryParams.append("page", currentPage);
      }
      const path = window.location.pathname + "?" + queryParams.toString();
      router.push(path);
    }
  };
  

  return (
    <div className="flex mt-20 justify-center">
      <Pagination
        activePage={page}
        itemsCountPerPage={resPerPage}
        totalItemsCount={modelCount}
        //   pageRangeDisplayed={5}
        onChange={handlePageChange}
        // nextPageText={'Next'}
        // prevPageText={'Prev'}
        // firstPageText={'First'}
        // lastPageText={'Last'}
        itemClass="relative inline-flex items-center border border-gray-300 bg-white px-4 py-2 text-sm font-medium text-gray-500 hover:bg-gray-50 focus:z-20"
        activeClass="z-10 inline-flex items-center border-indigo-500 bg-indigo-50 text-sm font-medium text-indigo-500 hover:bg-indigo-50 focus:z-20"
        activeLinkClass="z-10 inline-flex items-center border-indigo-500 bg-indigo-50 text-sm font-medium text-indigo-500 hover:bg-indigo-50 focus:z-20"
      />
    </div>
  );
};

export default CustomPagination;
