import React, { useEffect } from "react";
import Pagination from "./Pagination";
import Card from "./Card";

const AllModels = ({ models, gender, startsWith }) => {

  useEffect(() => {}, [models, gender, startsWith]);

  return (
    <div className="w-full py-5 flex flex-col justify-center items-center">
      <Pagination gender={gender} />
      <div className="w-full h-full grid md:grid-cols-[330px_330px_330px_330px] grid-cols-[330px] grid-rows-auto gap-3 justify-center items-center md:mt-5 mt-8 mx-auto">
        {gender &&
          gender === "male" &&
          models.data.length > 0 &&
          !startsWith &&
          models.data.map((men) => {
            return (
              <a
                href={`/model/men/${men.name}`}
                className="text-reset text-decoration-none"
              >
                <Card data={men} />
              </a>
            );
          })}
      </div>
      <div className="w-full h-full grid md:grid-cols-[330px_330px_330px_330px] grid-cols-[330px] grid-rows-auto gap-3 justify-center items-center md:mt-5 mt-8 mx-auto">
        {gender &&
          gender === "male" &&
          startsWith &&
          models.data &&
          models.data.length > 0 &&
          models.data.map((men) => {
            return (
              <a
                href={`/model/men/${men.name}`}
                className="text-reset text-decoration-none"
              >
                <Card
                  data={men}
                />
              </a>
            );
          })}
      </div>
      <div className="w-full h-full grid md:grid-cols-[330px_330px_330px_330px] grid-cols-[330px] grid-rows-auto gap-3 justify-center items-center md:mt-5 mt-8 mx-auto">
        {gender &&
          gender === "female" &&
          !startsWith &&
          models.data.length > 0 &&
          models.data.map((women) => {
            return (
              <a
                href={`/model/women/${women.name}`}
                className="text-reset text-decoration-none"
              >
                <Card
                  data={women}
                />
              </a>
            );
          })}
      </div>
      <div className="w-full h-full grid md:grid-cols-[330px_330px_330px_330px] grid-cols-[330px] grid-rows-auto gap-3 justify-center items-center md:mt-5 mt-8 mx-auto">
        {gender &&
          gender === "female" &&
          startsWith &&
          models.data &&
          models.data.length > 0 &&
          models.data.map((women) => {
            return (
              <a
                href={`/model/women/${women.name}`}
                className="text-reset text-decoration-none"
              >
                <Card
                  data={women}
                />
              </a>
            );
          })}
      </div>
    </div>
  );
};

export default AllModels;
