import React, { useEffect, useState } from "react";

const Pagination = ({ gender }) => {

  const sticky = "w-full flex justify-center items-center fixed top-0 left-0 z-10 bg-white drop-shadow-md md:mt-0 mt-60px py-10";

  const [isSticky, setIsSticky]=useState(false)

  const handleStickyPagination = () => {
    if (typeof window !== "undefined") {
      if (window.scrollY > 300) {
        // Adjust this value as needed
        setIsSticky(true)
      } else {
        setIsSticky(false)
      }
    }
  };

  useEffect(() => {
    handleStickyPagination();

    if (typeof window !== "undefined") {
      window.addEventListener("scroll", handleStickyPagination);

      return () => {
        window.removeEventListener("scroll", handleStickyPagination);
      };
    }
  }, [gender]);

  return (
    <div
      className={isSticky?sticky:"w-full flex justify-center items-center pl-[25px]"}
    >
    <ul className="w-11/12 h-full flex flex-wrap justify-start items-center gap-3">
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=A`} className="text-enter text-none text-white">A</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=B`} className="text-enter text-none text-white">B</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=C`} className="text-enter text-none text-white">C</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=D`} className="text-enter text-none text-white">D</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=E`} className="text-enter text-none text-white">E</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=F`} className="text-enter text-none text-white">F</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=G`} className="text-enter text-none text-white">G</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=H`} className="text-enter text-none text-white">H</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=I`} className="text-enter text-none text-white">I</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=J`} className="text-enter text-none text-white">J</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=K`} className="text-enter text-none text-white">K</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=L`} className="text-enter text-none text-white">L</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=M`} className="text-enter text-none text-white">M</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=N`} className="text-enter text-none text-white">N</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=O`} className="text-enter text-none text-white">O</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=P`} className="text-enter text-none text-white">P</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=Q`} className="text-enter text-none text-white">Q</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=R`} className="text-enter text-none text-white">R</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=S`} className="text-enter text-none text-white">S</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=T`} className="text-enter text-none text-white">T</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=U`} className="text-enter text-none text-white">U</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=V`} className="text-enter text-none text-white">V</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=W`} className="text-enter text-none text-white">W</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=X`} className="text-enter text-none text-white">X</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=Y`} className="text-enter text-none text-white">Y</a>
        </li>
        <li className="w-[30px] h-[30px] text-center bg-indigo-600 text-white">
          <a href={`/models?gender=${gender}&startsWith=Z`} className="text-enter text-none text-white">Z</a>
        </li>
      </ul>
    </div>
  );
};

export default Pagination;
