import useSWR from "swr";
import { useEffect, useState } from "react";
import { useRouter } from "next/router";
import HttpService from "@/services/HttpService";
export const useSliderImage = () => {
  //use router to redirect   
  const router = useRouter();
  

  const fetchAllSliderPhotos=async(setAllSliderPhotos)=>{
    await HttpService.get("/admin/all/slider/photos")
    .then((res) => {
        setAllSliderPhotos(res?.data?.data)
      return res?.data?.data;
    })
    .catch((error) => {
      if (error.response.status != 409) throw error;
      router.push("/verify-email");
    })
  }


  const addSliderPhoto = async ({
    setInputs,
    setLoading,
    setErrors,
    image
  }) => {
    //send model application  post request
    setLoading(true);

    //define data
    const formData = new FormData();

    formData.append("image", image);

    //console
    console.log("Form Data");
    for (let obj of formData) {
      console.log(obj);
    }

    await HttpService.post("/admin/add/slider/photo", formData, {
      Headers: {
        "Content-type": "multipart/form-data",
      },
    })
      .then((response) => {
        if (response?.status === 200) {
          setLoading(false);
          //mode is
          setInputs({
            image: null,
          });
          router.push('/admin/slider/list')
        }
      })
      .catch((error) => {
        console.log("[error]", error);
        // if (error.response.status != 422) throw error;
        // setErrors(Object.values(error.response.data.errors).flat());
      });
  };

  const deleteSliderPhoto = async ({ ...props }) => {

    props.setLoading(true);

    HttpService.delete(`/admin/slider/photo/${props.id}`, {
      headers: {
        "Content-Type": "application/json",
      },
    })
      .then((response) => {
        if (response?.status === 200) {
          console.log("[slider-delete]", response.data);
          props.setDeleteSliderPhotoSuccess(response.data.data);
          props.setLoading(false);
        }
      })
      .catch((error) => {
        props.setDeleteSliderPhotoSuccess(false);
        props.setLoading(false);
        alert(Object.values(error.response.data.errors).flat());
      });
  };




  useEffect(() => {
   

  }, []);

  return {
    addSliderPhoto,
    fetchAllSliderPhotos,
    deleteSliderPhoto
  };
};
