import React, { useState, useEffect } from "react";
import Image from "next/image";
import { Geist, Geist_Mono } from "next/font/google";
import AppLayout from "@/components/UI/layout/app/AppLayout";
import Hero from "@/components/home/hero/Hero";
import Categories from "@/components/home/categories/Categories";
import HeroVideo from "@/components/home/hero-video/HeroVideo";
import Instagram from "@/components/home/instagram/Instagram";
import WelcomeLoader from "@/components/UI/loader/welcome-loader/WelcomeLoader";

export default function Home() {
  //set loading state
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    // Simulate loading time
    setTimeout(() => {
      setLoading(false);
    }, 5000); // Adjust this time based on your actual loading time
  }, []);
  return (
    <>
      {loading && <WelcomeLoader />}
      <AppLayout>
        <Hero />
        <HeroVideo />
        <Categories />
        <Instagram />
      </AppLayout>
    </>
  );
}
